<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/ModuleTree/ModuleTree.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../ModuleTree.html" >ModuleTree</a>
</div><div class="class-name">class ModuleTree

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/ModuleTree.py.html" target="detail">../Synopsis/Formatters/HTML/Views/ModuleTree.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line13" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ModuleTree-inheritance" src="ModuleTree-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ModuleTree-inheritance_map" />
<map name="ModuleTree-inheritance_map"></map>
 <div class="doc">Create a javascript-enabled module tree.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_link_href">_link_href</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree._link_href" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line45" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line16" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line21" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line28" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.root" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line32" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line36" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_children">get_children</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.get_children" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line49" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleTree.html#index_module" >index_module</a></span>(<span class="variable">self</span>, <span class="variable">module</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.index_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line57" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a link for this module and recursively visit child modules.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="index_module">index_module</a>(<span class="variable">self</span>, <span class="variable">module</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleTree.ModuleTree.index_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleTree.py.html#line57" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Write a link for this module and recursively visit child modules.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
